API REFERENCE
Product Category List API
GET
/open-api/v1/product/categoriesFree·api.ppspy.comData and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request GET 'https://api.ppspy.com/open-api/v1/product/categories' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' Request parameters
| Parameter | Type | Description |
|---|---|---|
| This endpoint does not require parameters. | ||
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"categories": [
{
"id": "62739bfb38365b2f72048ed6",
"name_en": "Weddings & Events",
"name_zh": "婚礼和活动"
},
{
"id": "62739bc738365b2f72048ece",
"name_en": "Mother & Kids",
"name_zh": "母婴产品"
},
{
"id": "62739bcc38365b2f72048ecf",
"name_en": "Furniture",
"name_zh": "家具类"
},
{
"id": "62739bd238365b2f72048ed0",
"name_en": "Jewelry & Accessories",
"name_zh": "珠宝首饰及配饰"
},
{
"id": "62739bd938365b2f72048ed1",
"name_en": "Watches",
"name_zh": "钟表类"
},
{
"id": "62739bde38365b2f72048ed2",
"name_en": "Luggage & Bags",
"name_zh": "行李和箱包"
},
{
"id": "62739be538365b2f72048ed3",
"name_en": "Hair Extensions & Wigs",
"name_zh": "接发和假发"
},
{
"id": "62739beb38365b2f72048ed4",
"name_en": "Virtual Goods",
"name_zh": "虚拟物品"
},
{
"id": "62739bf538365b2f72048ed5",
"name_en": "Novelty & Special Use",
"name_zh": "新奇和特殊用品"
},
{
"id": "62739bc138365b2f72048ecd",
"name_en": "Tools",
"name_zh": "工具类"
},
{
"id": "62739c0138365b2f72048ed7",
"name_en": "Women's Clothing",
"name_zh": "女装"
},
{
"id": "62739c0d38365b2f72048ed8",
"name_en": "Men's Clothing",
"name_zh": "男装"
},
{
"id": "62739c1438365b2f72048ed9",
"name_en": "Apparel Accessories",
"name_zh": "服饰配件"
},
{
"id": "62739c1b38365b2f72048eda",
"name_en": "Underwear&Sleepwears",
"name_zh": "内衣和睡衣"
},
{
"id": "62739c2138365b2f72048edb",
"name_en": "Other",
"name_zh": "其他"
},
{
"id": "627664c816984870fcb77460",
"name_en": "Pet Products",
"name_zh": "宠物"
},
{
"id": "6276657f16984870fcb77461",
"name_en": "Gift",
"name_zh": "礼物"
},
{
"id": "62739aec38365b2f72048ebd",
"name_en": "Food",
"name_zh": "食品类"
},
{
"id": "62739bba38365b2f72048ecc",
"name_en": "Cellphones & Telecommunications",
"name_zh": "手机和通信"
},
{
"id": "62739baf38365b2f72048ecb",
"name_en": "Electronic Components & Supplies",
"name_zh": "电子元件和用品"
},
{
"id": "62739ba938365b2f72048eca",
"name_en": "Shoes",
"name_zh": "鞋类"
},
{
"id": "62739ba438365b2f72048ec9",
"name_en": "Beauty & Health",
"name_zh": "美容与健康"
},
{
"id": "62739b9c38365b2f72048ec8",
"name_en": "Consumer Electronics",
"name_zh": "消费电子类"
},
{
"id": "62739b9638365b2f72048ec7",
"name_en": "Lights & Lighting",
"name_zh": "灯具和照明"
},
{
"id": "62739b9038365b2f72048ec6",
"name_en": "Automobiles & Motorcycles",
"name_zh": "汽车和摩托车"
},
{
"id": "62739b8a38365b2f72048ec5",
"name_en": "Security & Protection",
"name_zh": "安全与防护"
},
{
"id": "62739b7f38365b2f72048ec4",
"name_en": "Toys & Hobbies",
"name_zh": "玩具和爱好"
},
{
"id": "62739b6d38365b2f72048ec3",
"name_en": "Education & Office Supplies",
"name_zh": "教育和办公用品"
},
{
"id": "62739b6638365b2f72048ec2",
"name_en": "Sports & Entertainment",
"name_zh": "体育和娱乐"
},
{
"id": "62739b6038365b2f72048ec1",
"name_en": "Home & Garden",
"name_zh": "家居和园艺"
},
{
"id": "62739b5938365b2f72048ec0",
"name_en": "Home Improvement",
"name_zh": "家庭装修"
},
{
"id": "62739b0438365b2f72048ebf",
"name_en": "Computer & Office",
"name_zh": "电脑与办公"
},
{
"id": "62739afc38365b2f72048ebe",
"name_en": "Home Appliances",
"name_zh": "家用电器"
}
]
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business status code | none |
| » message | string | true | none | Response message | none |
| » data | object | true | none | Response data | none |
| »» categories | [object] | true | none | Product Category List | none |
| »»» id | string | true | none | Category ID | none |
| »»» name_en | string | true | none | English category name | none |
| »»» name_zh | string | true | none | Chinese category name | none |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
